<template>
  <ui-loading label="Loading, please wait!" :steps="steps" lg />
</template>

<script lang="ts" setup>
import { LoadingStepStatus } from '@/enums'

const steps = [
  { label: 'Done step', status: LoadingStepStatus.Done },
  { label: 'Skipped step', status: LoadingStepStatus.Skipped },
  { label: 'Step with error', status: LoadingStepStatus.Error },
  { label: 'Running step', status: LoadingStepStatus.Running },
  { label: 'Pending step', status: LoadingStepStatus.Pending },
  { label: 'Cancelled step', status: LoadingStepStatus.Cancelled },
  { label: 'Step without status' },
]
</script>
